Upgrade from 2.9

Comments

3 comments

  • Ulf Liljegren
    Capture One 2.9 does not support / is not written for Mac OS 10.3 due to the simple fact that Mac OS 10.3 did not exist at the point of the release of this version. We know that there is major issues with 2.9 on Mac OS 10.3 why we recommend our customers to upgrade.
    Capture One 3.6 will infact solve this.
    0
    Comment actions Permalink
  • Gib11
    Do I need a code or anything to upgrade the download?
    Thanks!
    0
    Comment actions Permalink
  • Ulf Liljegren
    If you have a valid dongle (still with in upgrades) then you can use that.
    If the dongle has expired for upgrades then you can contact your dealer who can provide you with a free key to be used with Capture One DB.

    Capture One DB only works with Phase One camera backs. If you would like to use it with a DSLR camera you can upgrade the Capture One DB to Capture One Pro for less then half price. Beside supporting DSLR cameras there is no functionallity difference between the two applications.
    0
    Comment actions Permalink

Please sign in to leave a comment.